org.springframework.data.relational.core.dialect

## Class Db2Dialect

- java.lang.Object
- - org.springframework.data.relational.core.dialect.AbstractDialect
  - - org.springframework.data.relational.core.dialect.Db2Dialect

All Implemented Interfaces:
  Dialect

    public class Db2Dialect
    extends AbstractDialect

An SQL dialect for DB2.

Since:
  2.0
Author:
  Jens Schauder

### Field Summary

Fields
`static Db2Dialect` `INSTANCE` Singleton instance.

### Constructor Summary

Constructors
`protected` `Db2Dialect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IdentifierProcessing` `getIdentifierProcessing()` Returns the `IdentifierProcessing` used for processing `SqlIdentifier` when converting them to SQL snippets or parameter names.
`LimitClause` `limit()` Return the `LimitClause` used by this dialect.
`LockClause` `lock()` Return the `LockClause` used by this dialect.

### Methods inherited from class org.springframework.data.relational.core.dialect.AbstractDialect

`getAfterFromTable, getAfterOrderBy, getSelectContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.dialect.Dialect

`getArraySupport, getIdGeneration, getLikeEscaper`

### Field Detail

#### INSTANCE

    public static final Db2Dialect INSTANCE

Singleton instance.

### Constructor Detail

#### Db2Dialect

    protected Db2Dialect()

### Method Detail

#### limit

    public LimitClause limit()

Description copied from interface: `Dialect`
Return the `LimitClause` used by this dialect.

Returns:
  the `LimitClause` used by this dialect.

#### lock

    public LockClause lock()

Description copied from interface: `Dialect`
Return the `LockClause` used by this dialect.

Returns:
  the `LockClause` used by this dialect.

#### getIdentifierProcessing

    public IdentifierProcessing getIdentifierProcessing()

Description copied from interface: `Dialect`
Returns the `IdentifierProcessing` used for processing `SqlIdentifier` when converting them to SQL snippets or parameter names.

Returns:
  the `IdentifierProcessing`. Guaranteed to be not null.